Name:           getvmwareplayer
Version:        14.1.1
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            https://www.vmware.com/
Source:         %{name}-%{version}.tar.xz
Summary:        Script to manage VMwarePlayer installation
Summary(de):    Skript zum Management der Installation von VMwarePlayer
Group:          Emulators
Requires:	libnotify
Requires:	zenity
Requires:	bash
Requires:	wget apt apt-common
Requires:	gksu
Requires:	python >= 2.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:	%{name} < %version

%description
This script provides management of VMwarePlayer for PCLinuxOS.

%description -l de
Dieses Script verwaltet VMwarePlayer für PCLinuxOS.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}/%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=VMwarePlayer Manager
GenericName=VMwarePlayer Manager
Type=Application
Exec=getvmwareplayer
TryExec=getvmwareplayer
Icon=getvmwareplayer.png
Comment=Manage VMwarePlayer installation
Categories=Emulator;X-MandrivaLinux-MoreApplications-Emulators;PackageManager;GTK;System;X-MandrivaLinux-System-Configuration-Packaging;
Terminal=false
StartupNotify=true
EOF


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%posttrans
notify-send "VMwarePlayer Manager" "To manage your VMwarePlayer installation please run: PCmenu -> Software Center -> VMwarePlayer Manager" -i /usr/share/pixmaps/getvmwareplayer.png -t 120000  


%changelog
* Thu Jan 11 2018 pp <pp> 14.1.1-1pclos2018
- update

* Sun Dec 24 2017 pp <pp> 14.1.0-1pclos2018
- update

* Wed Oct 04 2017 pp <pp> 14.0.0-1pclos2017
- update

* Tue Jul 25 2017 bb2 <bb2> - 12.5.7-2pclos2017
- remove Encoding=UTF-8 from menu file

* Mon Jul 24 2017 pp <pp> 12.5.7-1pclos2017
- initial package
